Last Comment Bug 846983 - Linux bustage on package-manifest:114: Missing file(s): bin/components/dom_sms.xpt
: Linux bustage on package-manifest:114: Missing file(s): bin/components/dom_sm...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-01 19:17 PST by Edmund Wong (:ewong)
Modified: 2013-03-08 02:10 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove dom_sms.xpt from package-manifest.in. (1.19 KB, patch)
2013-03-01 23:39 PST, Edmund Wong (:ewong)
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Edmund Wong (:ewong) 2013-03-01 19:17:47 PST
make[3]: Entering directory `/builds/slave/c-cen-t-lnx64/build/objdir/suite/installer'
/builds/slave/c-cen-t-lnx64/build/objdir/mozilla/_virtualenv/bin/python /builds/slave/c-cen-t-lnx64/build/mozilla/config/Preprocessor.py -DMOZ_GLUE_IN_PROGRAM -DMOZ_SUITE=1 -DOSTYPE=\"Linux2.6.18-8\" -DOSARCH=Linux -DNO_NSPR_10_SUPPORT -DAB_CD=en-US -DMOZ_APP_NAME=seamonkey -DPREF_DIR=defaults/pref -DJAREXT= -DENABLE_TESTS=1 -DMOZ_ENABLE_GNOME_COMPONENT=1 -DMOZ_GTK2=1 -DMOZ_PACKAGE_DEBUGQA=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_UPDATER=1 -DMOZ_MOVEMAIL=1 -DNECKO_WIFI=1 -DMOZ_CHILD_PROCESS_NAME=plugin-container -DDLL_PREFIX=lib -DDLL_SUFFIX=.so -DBIN_SUFFIX= -DBINPATH=bin -DHAVE_64BIT_OS=1 -DMOZILLA_VERSION=\"22.0a1\" -DMOZILLA_VERSION_U=22.0a1 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_SSIZE_T=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_UINT=1 -DHAVE_UNAME_DOMAINNAME_FIELD=1 -DHAVE_VISIBILITY_HIDDEN_ATTRIBUTE=1 -DHAVE_VISIBILITY_ATTRIBUTE=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_SYS_BITYPES_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_GNU_LIBC_VERSION_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_SYS_CDEFS_H=1 -DHAVE_LIBM=1 -DHAVE_DLADDR=1 -DFUNCPROTO=15 -D_REENTRANT=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_TRUNCATE64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_NINIT=1 -DHAVE_GNU_GET_LIBC_VERSION=1 -DHAVE_LANGINFO_CODESET=1 -DVA_COPY=va_copy -DHAVE_VA_COPY=1 -DHAVE_VA_LIST_AS_ARRAY=1 -DHAVE_THREAD_TLS_KEYWORD=1 -DMALLOC_H=\<malloc.h\> -DHAVE_STRNDUP=1 -DHAVE_POSIX_MEMALIGN=1 -DHAVE_MEMALIGN=1 -DHAVE_VALLOC=1 -DHAVE_I18N_LC_MESSAGES=1 -DHAVE_LOCALECONV=1 -DNS_ALWAYS_INLINE=__attribute__\(\(always_inline\)\) -DNS_ATTR_MALLOC=__attribute__\(\(malloc\)\) -DNS_WARN_UNUSED_RESULT=__attribute__\(\(warn_unused_result\)\) -DNS_NORETURN=__attribute__\(\(noreturn\)\) -DMOZ_SUITE=1 -DMOZ_BUILD_APP=suite -DMOZ_X11=1 -DMOZ_WIDGET_GTK2=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_ENABLE_GNOMEVFS=1 -DMOZ_ENABLE_DBUS=1 -DIBMBIDI=1 -DACCESSIBILITY=1 -DNS_PRINTING=1 -DMOZ_XTF=1 -DMOZ_CRASHREPORTER=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_HELP_VIEWER=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_DEBUG_SYMBOLS=1 -DMOZ_LOGGING=1 -DSIZEOF_INT_P=8 -DMOZ_MEMORY_SIZEOF_PTR_2POW=3 -DMOZ_MEMORY=1 -DMOZ_MEMORY_LINUX=1 -DHAVE_JEMALLOC_VALLOC=1 -DHAVE_JEMALLOC_POSIX_MEMALIGN=1 -DHAVE_JEMALLOC_MEMALIGN=1 -DMOZ_ENABLE_PROFILER_SPS=1 -DHAVE___CXA_DEMANGLE=1 -DHAVE__UNWIND_BACKTRACE=1 -DMOZ_OMNIJAR=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_STATIC_JS=1 -DHAVE_STDINT_H=1 -DHAVE_INTTYPES_H=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_RDF=1 -DNECKO_WIFI=1 -DBUILD_CTYPES=1 -DMOZ_MORK=1 -DMOZ_MORKREADER=1 -DMOZ_PLACES=1 -DMOZ_SERVICES_COMMON=1 -DMOZ_SERVICES_CRYPTO=1 -DMOZ_SERVICES_SYNC=1 -DMOZ_UA_BUILDID=\"20100101\" -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1 -DMOZ_ACCESSIBILITY_ATK=1 -DATK_MAJOR_VERSION=1 -DATK_MINOR_VERSION=12 -DATK_REV_VERSION=2 /builds/slave/c-cen-t-lnx64/build/suite/installer/package-manifest.in > package-manifest
/builds/slave/c-cen-t-lnx64/build/objdir/mozilla/_virtualenv/bin/python /builds/slave/c-cen-t-lnx64/build/mozilla/toolkit/mozapps/installer/packager.py -DMOZ_GLUE_IN_PROGRAM -DMOZ_SUITE=1 -DOSTYPE=\"Linux2.6.18-8\" -DOSARCH=Linux -DNO_NSPR_10_SUPPORT -DAB_CD=en-US -DMOZ_APP_NAME=seamonkey -DPREF_DIR=defaults/pref -DJAREXT= -DENABLE_TESTS=1 -DMOZ_ENABLE_GNOME_COMPONENT=1 -DMOZ_GTK2=1 -DMOZ_PACKAGE_DEBUGQA=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_UPDATER=1 -DMOZ_MOVEMAIL=1 -DNECKO_WIFI=1 -DMOZ_CHILD_PROCESS_NAME=plugin-container -DDLL_PREFIX=lib -DDLL_SUFFIX=.so -DBIN_SUFFIX= -DBINPATH=bin \
		--format omni \
		--removals /builds/slave/c-cen-t-lnx64/build/suite/installer/removed-files.in \
		 \
		 \
		 \
		--optimizejars \
		 \
		package-manifest ../../mozilla/dist ../../mozilla/dist/seamonkey \
		--non-resource defaults/messenger/mailViews.dat defaults/profile/localstore.rdf defaults/profile/panels.rdf 
Error: /builds/slave/c-cen-t-lnx64/build/objdir/suite/installer/package-manifest:114: Missing file(s): bin/components/dom_sms.xpt
Traceback (most recent call last):
  File "/builds/slave/c-cen-t-lnx64/build/mozilla/toolkit/mozapps/installer/packager.py", line 373, in <module>
    main()
  File "/builds/slave/c-cen-t-lnx64/build/mozilla/toolkit/mozapps/installer/packager.py", line 327, in main
    copier.add(mozpack.path.join(binpath, 'removed-files'), removals)
  File "/tools/python-2.7.2/lib/python2.7/contextlib.py", line 24, in __exit__
    self.gen.next()
  File "/builds/slave/c-cen-t-lnx64/build/mozilla/python/mozbuild/mozpack/errors.py", line 129, in accumulate
    raise AccumulatedErrors()
mozpack.errors.AccumulatedErrors
NEXT ERROR make[3]: *** [stage-package] Error 1
make[3]: Leaving directory `/builds/slave/c-cen-t-lnx64/build/objdir/suite/installer'
make[2]: *** [make-package] Error 2
make[2]: Leaving directory `/builds/slave/c-cen-t-lnx64/build/objdir/suite/installer'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/builds/slave/c-cen-t-lnx64/build/objdir/suite/installer'
make: *** [package] Error 2
program finished with exit code 2
elapsedTime=13.956542
=== Output ended ===
Comment 1 Edmund Wong (:ewong) 2013-03-01 23:39:05 PST
Created attachment 720238 [details] [diff] [review]
Remove dom_sms.xpt from package-manifest.in.
Comment 2 Edmund Wong (:ewong) 2013-03-02 00:46:33 PST
Pushed to comm-central:
https://hg.mozilla.org/comm-central/rev/c3cb2d3692b4
Comment 3 Justin Wood (:Callek) (Away until Aug 29) 2013-03-02 09:08:36 PST
Comment on attachment 720238 [details] [diff] [review]
Remove dom_sms.xpt from package-manifest.in.

Review of attachment 720238 [details] [diff] [review]:
-----------------------------------------------------------------

Half there, needs removed-files.in change too..

I'm going to land in minutes.
Comment 4 Justin Wood (:Callek) (Away until Aug 29) 2013-03-02 09:15:31 PST
(In reply to Edmund Wong (:ewong) from comment #2)
> Pushed to comm-central:
> https://hg.mozilla.org/comm-central/rev/c3cb2d3692b4

Whops missed this, ok pushing the removed-files.in followup then:

https://hg.mozilla.org/comm-central/rev/7d49b3c14f37
Comment 5 Mark Banner (:standard8) 2013-03-05 02:51:04 PST
(In reply to Justin Wood (:Callek) from comment #4)
> (In reply to Edmund Wong (:ewong) from comment #2)
> > Pushed to comm-central:
> > https://hg.mozilla.org/comm-central/rev/c3cb2d3692b4
> 
> Whops missed this, ok pushing the removed-files.in followup then:
> 
> https://hg.mozilla.org/comm-central/rev/7d49b3c14f37

The addition to removed-files.in was unnecessary. dom_sms.xpt was landed in ~ Dec 2011, way after we switched to omnijar, and (iirc) also way after we'd started packing xpts into one file:

http://mxr.mozilla.org/comm-central/source/mail/installer/removed-files.in#892

I think we should backout the additional follow-up.

Note You need to log in before you can comment on or make changes to this bug.